Subject: Re: bug#15545: Compilation error with clang with guile 1.8.8
From: Mark H Weaver <[email-masked]>
To: Matt Sicker <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Jan 2014 16:06:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Matt Sicker <[email-masked]> writes:
> I've attached the log from running make with the autogen project
> (which depends on guile). As a quick summary, the compiler issue seems
> to be due to the use of the variable name "noreturn" in
> libguile/throw.h, line 94, in the function declaration scm_ithrow().

I fixed this in November, but I forgot to close this bug.

http://git.savannah.gnu.org/gitweb/?p=guile.git;a=commitdiff;h=36c40440078c005cd5e239cca487d29f6f60007d

This fix will be in Guile 2.0.10.  We no longer support Guile 1.8.x.

    Regards,
      Mark